package com.ruoyi.circuit.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.circuit.domain.CIntegratedCircuit;
import com.ruoyi.circuit.vo.CIntegratedCircuitDTO;
import com.ruoyi.circuit.vo.CIntegratedCircuitVO;
import com.ruoyi.report.vo.LastSumDTO;

/**
 * 中国集成电路Service接口
 *
 * @author ruoyi
 * @date 2023-04-28
 */
public interface ICIntegratedCircuitService extends IService<CIntegratedCircuit> {
	/**
	 * 查询中国集成电路列表
	 *
	 * @param cIntegratedCircuit 中国集成电路
	 * @return 中国集成电路集合
	 * @date 2023-04-28
	 */
	List<CIntegratedCircuit> queryList(CIntegratedCircuit cIntegratedCircuit);

	CIntegratedCircuitDTO listReport(CIntegratedCircuit cIntegratedCircuit);
	List<CIntegratedCircuitVO> listRank(CIntegratedCircuit cIntegratedCircuit);

	void doSyncForIprd(String beginDate, String endDate);
	
	 LastSumDTO listForLast();
}
